defaults = {
    'matrix-synapse': {
        'appservice_configs': {
            '/opt/mx-puppet-discord/registration.yaml',
        },
    },
    'icinga2_api': {
        'mx-puppet-discord': {
            'services': {
                'MX-PUPPET-DISCORD PROCESS': {
                    'command_on_monitored_host': '/usr/lib/nagios/plugins/check_procs -a mx-puppet-discord -c 1:',
                },
            },
        },
    },
    'mx-puppet-discord': {
        'database': {
            'user': 'mx-puppet-discord',
            'password': repo.vault.password_for('{} postgresql mx-puppet-discord'.format(node.name)),
            'database': 'mx-puppet-discord',
        },
        'as_token': repo.vault.password_for('{} mx-puppet-discord as_token'.format(node.name)),
        'hs_token': repo.vault.password_for('{} mx-puppet-discord hs_token'.format(node.name)),
        'sender_localpart': '_discordpuppet_bot',
    },
    'postgresql': {
        'roles': {
            'mx-puppet-discord': {
                'password': repo.vault.password_for('{} postgresql mx-puppet-discord'.format(node.name)),
            },
        },
        'databases': {
            'mx-puppet-discord': {
                'owner': 'mx-puppet-discord',
            },
        },
    },
}
