defaults = {
    'apt': {
        'packages': {
            'wide-dhcpv6-client': {},
        },
    },
    'iptables': {
        'bundle_rules': {
            'wide-dhcp6c': [
                'ip6tables -A INPUT -p udp -s ff00::/12 -j ACCEPT',
                'ip6tables -A INPUT -p udp -s fe80::/10 -j ACCEPT',
            ],
        },
    },
    'wide-dhcp6c': {
        'subnet_len': '8',
    },
}


@metadata_reactor
def pppd(metadata):
    if metadata.get('wide-dhcp6c/integrate-with-pppd', False):
        return {
            'pppd': {
                'wait-until-stopped': {
                    'wide-dhcpv6-client.service',
                },
            }
        }

    return {}
